import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IDataLabelInfo;
import quadbase.util.PickData;

public class CustomizeDataTopLabel extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			CustomizeDataTopLabel chart = new CustomizeDataTopLabel();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doCustomizeDataTopLabel(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doCustomizeDataTopLabel(this));
	}

	Component doCustomizeDataTopLabel(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"CustomizeDataTopLabel.cht"); // template

		chart.gethDataPoints().setDataLabelInfo(new customizeDataTopLabel());

		// Show chart in Viewer
		return chart;

	}

	class customizeDataTopLabel implements IDataLabelInfo {

		static final long serialVersionUID = 1;

		public String getDataLabel(PickData pickData, String originalDataLabel) {
			//return (pickData.toString() + " (" + originalDataLabel + ")");
			return (pickData.toString());
		}
	}
}
